	.data
	.globl	a
	.align	8
	.type	a, @object
	.size	a, 8
a:
	.quad	0xa

	.data
	.globl	b
	.align	8
	.type	b, @object
	.size	b, 8
b:
	.quad	0xa

	.data
	.globl	c
	.align	8
	.type	c, @object
	.size	c, 8
c:
	.quad	0x14

	.data
	.globl	d
	.align	8
	.type	d, @object
	.size	d, 8
d:
	.quad	0xfffffffffffffff6

	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
/* test: == */
	mov	a(%rip), %rax
	mov	b(%rip), %rdx
	cmp	%rdx, %rax
	je	L00
	jmp	L01
L00:
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L01:
	mov	a(%rip), %rax
	mov	c(%rip), %rdx
	cmp	%rdx, %rax
	je	L02
	jmp	L03
L02:
	mov	$.LC1, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	c(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L03:
	mov	a(%rip), %rax
	mov	d(%rip), %rdx
	cmp	%rdx, %rax
	je	L04
	jmp	L05
L04:
	mov	$.LC2, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	d(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L05:
/* test: != */
	mov	a(%rip), %rax
	mov	b(%rip), %rdx
	cmp	%rdx, %rax
	jne	L10
	jmp	L11
L10:
	mov	$.LC3, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L11:
	mov	a(%rip), %rax
	mov	c(%rip), %rdx
	cmp	%rdx, %rax
	jne	L12
	jmp	L13
L12:
	mov	$.LC4, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	c(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L13:
	mov	a(%rip), %rax
	mov	d(%rip), %rdx
	cmp	%rdx, %rax
	jne	L14
	jmp	L15
L14:
	mov	$.LC5, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	d(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L15:
/* test: < */
	mov	a(%rip), %rax
	mov	b(%rip), %rdx
	cmp	%rdx, %rax
	jl	L20
	jmp	L21
L20:
	mov	$.LC6, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L21:
	mov	a(%rip), %rax
	mov	c(%rip), %rdx
	cmp	%rdx, %rax
	jl	L22
	jmp	L23
L22:
	mov	$.LC7, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	c(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L23:
	mov	a(%rip), %rax
	mov	d(%rip), %rdx
	cmp	%rdx, %rax
	jl	L24
	jmp	L25
L24:
	mov	$.LC8, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	d(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L25:
/* test: > */
	mov	a(%rip), %rax
	mov	b(%rip), %rdx
	cmp	%rdx, %rax
	jg	L30
	jmp	L31
L30:
	mov	$.LC9, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L31:
	mov	a(%rip), %rax
	mov	c(%rip), %rdx
	cmp	%rdx, %rax
	jg	L32
	jmp	L33
L32:
	mov	$.LC10, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	c(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L33:
	mov	a(%rip), %rax
	mov	d(%rip), %rdx
	cmp	%rdx, %rax
	jg	L34
	jmp	L35
L34:
	mov	$.LC11, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	d(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L35:
/* test: <= */
	mov	a(%rip), %rax
	mov	b(%rip), %rdx
	cmp	%rdx, %rax
	jle	L40
	jmp	L41
L40:
	mov	$.LC12, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L41:
	mov	a(%rip), %rax
	mov	c(%rip), %rdx
	cmp	%rdx, %rax
	jle	L42
	jmp	L43
L42:
	mov	$.LC13, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	c(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L43:
	mov	a(%rip), %rax
	mov	d(%rip), %rdx
	cmp	%rdx, %rax
	jle	L44
	jmp	L45
L44:
	mov	$.LC14, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	d(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L45:
/* test: >= */
	mov	a(%rip), %rax
	mov	b(%rip), %rdx
	cmp	%rdx, %rax
	jge	L50
	jmp	L51
L50:
	mov	$.LC15, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	b(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L51:
	mov	a(%rip), %rax
	mov	c(%rip), %rdx
	cmp	%rdx, %rax
	jge	L52
	jmp	L53
L52:
	mov	$.LC16, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	c(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L53:
	mov	a(%rip), %rax
	mov	d(%rip), %rdx
	cmp	%rdx, %rax
	jge	L54
	jmp	L55
L54:
	mov	$.LC17, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	d(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
L55:
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC17:	.string	"%d >= %d\n"
.LC16:	.string	"%d >= %d\n"
.LC15:	.string	"%d >= %d\n"
.LC14:	.string	"%d <= %d\n"
.LC13:	.string	"%d <= %d\n"
.LC12:	.string	"%d <= %d\n"
.LC11:	.string	"%d > %d\n"
.LC10:	.string	"%d > %d\n"
.LC9:	.string	"%d > %d\n"
.LC8:	.string	"%d < %d\n"
.LC7:	.string	"%d < %d\n"
.LC6:	.string	"%d < %d\n"
.LC5:	.string	"%d != %d\n"
.LC4:	.string	"%d != %d\n"
.LC3:	.string	"%d != %d\n"
.LC2:	.string	"%d == %d\n"
.LC1:	.string	"%d == %d\n"
.LC0:	.string	"%d == %d\n"
